Should I update? I am scared lol

rocco

New Member
Jul 4, 2007
27
0
0
#1
Okay, so I have two part question iPhone lovers
I want to update to 1.1.4 because i am scared that with sdk us jailbreakers will have our iPhones bricked and i really don't want that so i think this bug fix 1.1.4 is going to cause non brickage lol is this even possible? thanks to all who reply, Chea :laugh2:
 

depthnerd

New Member
Feb 16, 2008
1,280
0
0
#2
I haven't. But then again it's bug fixes that aren't on my phone so I don't have to worry.

Also - 1.1.3 is already SDk ready. And if it does brick you just fix it yourself and when you upgrade you'll have to go through the same stuff as if you bricked it - no difference.
 

michael180

Zealot
Gold
Jun 14, 2007
1,249
3
38
Santa Cruz, CA
moderntimes.com
#3
Okay, so I have two part question iPhone lovers
I want to update to 1.1.4 because i am scared that with sdk us jailbreakers will be fucked and have our iPhones bricked and i really don't want that so i think this bug fix 1.1.4 is going to cause non brickage lol is this even possible? thanks to all who reply, Chea :laugh2:
I know that Apple does not like JBers, but why on earth would they put something into the software that would prohibit people from restoring their phone regardless if the phone is jailbroke.
 

Bone

Zealot
Gold
Feb 11, 2008
1,214
2
38
#4
Me personally. I'm not updating. The 1.1.3 jailbreak is better than the 1.1.4 firmware. Simple as that. Later if something comes out worth getting then we can update.
 

akophone

New Member
Bronze
Aug 1, 2007
300
0
0
#5
Too early to update for me. Let the brave ones (or impatient ones) have at it first then see what happens as far as JB is concerned and if there are major incompatibility issues with apps. Hey, we're still dealing with issues with 1.1.3!
But there have been reports that 1.1.4 boosts cell signal strength which was severely degraded for some users (including me) under the 1.1.3. More bug fixes and other updates to usher in the SDK... I'll wait for now.